﻿@model ForgotPasswordViewModel
@{
    ViewBag.Title = "کلمه عبور خود را فراموش کرده اید؟";
}

@section head{
    <script src="https://www.google.com/recaptcha/api.js?hl=fa&onload=onloadCallback&render=explicit" async defer></script>
}

<div class="container">
    <div class="row mt-3">
        <div class="col-12">
            <h4 class="page-title"><span>@ViewBag.Title</span></h4>
        </div>
        <div class="col-md-6">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        @using (Html.BeginForm("ForgotPassword", "Account", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                        {
                            @Html.AntiForgeryToken()
                            <h4>ایمیل یا موبایل خود را وارد نمایید</h4>
                            <hr />
                            @Html.ValidationSummary("", new { @class = "text-danger" })
                            <div class="form-group">
                                @Html.LabelFor(m => m.EmailOrPhone)
                                @Html.TextBoxFor(m => m.EmailOrPhone, new { @class = "form-control" })
                                @Html.ValidationMessageFor(m => m.EmailOrPhone, "", new { @class = "text-danger" })
                            </div>
                            <div id="recaptchaDiv" class="g-recaptcha" data-sitekey="6LflMzoUAAAAANbJkWt7aYXbypaZSgmfJrvWsfmw"></div>
                            <div class="form-group">
                                <input type="submit" value="ارسال کد" class="btn btn-block btn-lg btn-primary" />
                            </div>
                        }
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <h5>راهنمای باز نویسی کلمه عبور</h5>
            <hr />
            <ol>
                <li>
                    ایمیل یا شماره موبایلی که با آن ثبت نام کرده بودید را وارد نمایید و دکمه ارسال کد را بزنید.
                </li>
                <li>
                    یک کد برای ایمیل یا موبایل شما ارسال می گردد. آن را وارد نمایید.
                </li>
                <li>
                    حال می توانید کلمه عبور جدید برای حساب خود انتخاب نمایید و وارد شوید.
                </li>
            </ol>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/js/jqueryval")
    <script>
        function onloadCallback() {
            $('input[type="submit"]').removeAttr('disabled');
            grecaptcha.render('recaptchaDiv');
        }
    </script>
}
